# Job submission configuration file
#
---

#
# Configure the content of the job script for the batch job here
# @see http://www.rubydoc.info/gems/ood_core/OodCore/BatchConnect/Template
#
batch_connect:
  # We use the basic web server template for generating the job script
  #
  # @note Do not change this unless you know what you are doing!
  template: "basic"

  # You can override the command used to query the hostname of the compute node
  # here
  #
  # @note It is **highly** recommended this be set in the global cluster
  #   configuration file so that all apps can take advantage of it by default
  #
  #set_host: "host=$(hostname -A | awk '{print $2}')"

#
# Configure the job script submission parameters for the batch job here
# @see http://www.rubydoc.info/gems/ood_core/OodCore/Job/Script
#
#script:
#  queue_name: "queue1"
#  accounting_id: "account1"
#  email_on_started: true
#  native: # ... array of command line arguments ...
script:
  native:
    <% if slurm_reservation != '' %>
    - "--reservation=<%= slurm_reservation %>"
    <% end %>
    - "--account=<%= slurm_account %>"
    - "--partition=<%= slurm_partition %>"
    - "--cpus-per-task=<%= slurm_cpu %>"
    - "--mem=<%= slurm_mem %>"
    <% if slurm_gpu_count.to_i > 0 and slurm_gpu != '' %>
    - "--gres=gpu:<%= slurm_gpu %>:<%= slurm_gpu_count %>"
    <% end %>
    - "--export=PATH,LANG,JUPYTERHUB_API_TOKEN,JPY_API_TOKEN,JUPYTERHUB_ADMIN_ACCESS,JUPYTERHUB_CLIENT_ID,JUPYTERHUB_HOST,JUPYTERHUB_OAUTH_CALLBACK_URL,JUPYTERHUB_USER,JUPYTERHUB_SERVER_NAME,JUPYTERHUB_API_URL,JUPYTERHUB_ACTIVITY_URL,JUPYTERHUB_BASE_URL,JUPYTERHUB_SERVICE_PREFIX,USER,HOME,SHELL,RSERVER_CONFIG"
    - "--get-user-env=L"
